# TODO
add gui_3d: false to models and test lighting
add support for Omega Craft (active_films)
add support for Ore Stone Variants (chaos_incarnate91)

## 5.0.5.0
+ added: support for EvilCraft
+ added: support for Applied Energistics 2
+ added: support for Mapper Base
+ added: support for Quark
* fixed: incorrect group name of Crimson Iron Ore (delete old silentgear.cfg)
* __requires: ForgeEndertech 7.0.10.0 or above__

## 5.0.4.0
* updated to Minecraft 1.16.4
* __requires: ForgeEndertech 7.0.7.0 or above__

## 5.0.3.0
* updated to Minecraft 1.16.3
* fixed: synchronization issues in multiplayer when using multiple finders of the same type
* fixed: finder placed in the head slot not showing its indicators to other players (thanks to Splutty)
* __requires: ForgeEndertech 7.0.4.0 or above__

## 5.0.2.0
* updated to Minecraft 1.16.2
* __requires: ForgeEndertech 7.0.2.0 or above__

## 5.0.1.0
+ added: Russian translation (thanks to marmotinfire)
+ added: German translation (thanks to LahusaLP)
* fixed: finder model being not displayed on Fabulous graphics settings (thanks to KICKACE95)
* __requires: ForgeEndertech 7.0.1.0 or above__

## 5.0.0.0
* ported to Minecraft 1.16.1
+ added: support for Nether Gold
+ added: support for Ancient Debris
* __requires: ForgeEndertech 7.0.0.0 or above__

## 4.0.5.0
* reworked: rendering system to be compatible with Optifine (thanks to thebronygamer2000, dorkydagamer73, yousefnagyn7 and felixdleon21)
* fixed: Optifine compatibility issue due to which indicators were not displayed
* __requires: ForgeEndertech 6.0.2.0 or above__

## 4.0.4.0
+ added: support for Mystical Agriculture (thanks to 007MrNiko)
* fixed: renderer using invalid buffer causing indicators to be displayed over the player's model
* fixed: indicators lighting (now they glow at night as they were supposed to)
* __requires: ForgeEndertech 6.0.2.0 or above__

## 4.0.3.0
+ added: support for More Ores In ONE and Vulcanite (thanks to lukeskyf)
+ added: support for Mine and Slash (thanks to suduko)
+ added: support for Ores Above Diamonds (thanks to Ciho4825)
* __requires: ForgeEndertech 6.0.1.0 or above__

## 4.0.2.0
+ added: support for Mekanism (thanks to superchen2007)
* __requires: ForgeEndertech 6.0.1.0 or above__

## 4.0.1.0
+ added: support for Silent Gear 
+ added: support for Silent's Mechanisms (thanks to superchen2007)
* fixed: a crash when trying to configure the mod through the game menu (thanks to amadeus_art)
* __requires: ForgeEndertech 6.0.0.0 or above__

## 4.0.0.0
* ported to Minecraft 1.15.2
* __requires: ForgeEndertech 6.0.0.0 or above__

## 3.0.3.0
+ added: support for GemsPlusPlus
* __requires: ForgeEndertech 5.2.1.0 or above__

## 3.0.2.0
+ added: support for Simple Ores
* fixed: compatibility issue with Java 1.8.0_51 that resulted in finders not showing anything (thanks to ragemechanic and sylvastheicefairy)
* __requires: ForgeEndertech 5.2.0.1 or above__

## 3.0.1.1
* fixed: a critical bug with network messages that broke the mod in multiplayer
* __requires: ForgeEndertech 5.2.0.0 or above__

## 3.0.1.0
+ added: support for Mystical World and Techemistry (thanks to Noobanidus)
* fixed: a crash when putting a finder on the anvil (delete old configs in the adfinders/Finders folder) (thanks to Volcaroona)
* __requires: ForgeEndertech 5.1.0.0 or above__

## 3.0.0.0
* ported to Minecraft 1.14.4
+ added: support for ExtraGems
+ added: support for Silent's Gems
+ added: support for Geolosys
+ added: support for Underground Biomes
* __requires: ForgeEndertech 5.0.0.0 or above__

## 2.3.10.0
+ added: support for Galacticraft (thanks to habz4321)
* __requires: ForgeEndertech 4.4.22.2 or above__

## 2.3.9.1
* fixed: detection of non-existent blocks from removed mods, that were previously placed in the world
* __requires: ForgeEndertech 4.4.22.1 or above__

## 2.3.9.0
+ added: support for Atum 2 (thanks to Arkenor)
* __requires: ForgeEndertech 4.4.19.1 or above__

## 2.3.8.0
+ added: support for ExtraGems
+ added: support for GemsPlusPlus
* __requires: ForgeEndertech 4.4.16.0 or above__

## 2.3.7.0
+ added: support for Silent's Gems (thanks to yfa75611)
+ added: support for Metallurgy 4: Reforged
+ added: missing support for Base Metals adamantine ore (delete old basemetals.cfg) 
* __requires: ForgeEndertech 4.4.15.0 or above__

## 2.3.6.0
+ added: support for LucraftCore (thanks to linkisawesome333)
* __requires: ForgeEndertech 4.4.12.0 or above__

## 2.3.5.0
+ added: support for Netherending Ores
* __requires: ForgeEndertech 4.4.12.0 or above__

## 2.3.4.0
+ added: support for Gregtech Community Edition (thanks to meiseside)
* updated: config for the latest version of Tech Reborn (delete old techreborn.cfg)
* fixed: metallic minerals being defined as non-metallic (delete old configs for changes to take effect)
* __requires: ForgeEndertech 4.4.8.0 or above__

## 2.3.3.0
+ added: support for Geolosys (thanks to BrisingrAerowing)
* fixed: invalid target definitions (deleting old configs is required for changes to take effect)
* __requires: ForgeEndertech 4.4.3.0 or above__

## 2.3.2.0
+ added: support for Pixelmon Reforged (thanks to jjrroo)
+ added: compatibility with Optifine shaders
* __requires: ForgeEndertech 4.4.0.0 or above__

## 2.3.1.0
+ added: config option to remove incremental repair penalty for broken finder
* changed: model format from vanilla to forge
* moved: shared textures to the lib
* __requires: ForgeEndertech 4.3.19.0 or above__

## 2.3.0.0
+ added: new voxel models with transparent glass panel for all finders
+ implemented: breakable finders (be careful with them now)
* changed: recipes (please delete old configs)
* tweaked: finder position, scale and rotation for a better view
* __requires: ForgeEndertech 4.3.10.0 or above__

## 2.2.0.0
+ added: new config parameter "minDepositSize"
+ implemented: localizable tooltips (thanks to InterPlay02)
+ implemented: new functionality for the red lights (see tooltips or description on the site)
* improved: vein searching algorithm (now it filters veins by their size rather than height)
* improved: description in tooltips
* changed: "minVeinHeight" config parameter to "minVeinSize"
* fixed: parameters of already crafted finders not being updated after changing configs (thanks to krupa321)
* __requires: ForgeEndertech 4.3.3.0 or above__

## 2.1.2.0
+ implemented: sync of the client ore definitions with a server to avoid cheating (thanks to Pyure)
* __requires: ForgeEndertech 4.3.3.0 or above__

## 2.1.1.0
+ added: compatibility with BaseMetals
+ added: compatibility with BaseMinerals
* fixed: broken Draconic Evolution config (thanks to Custodian) (the old one must be deleted)

## 2.1.0.0
+ added: compatibility with new mods (thanks to Hypsellis)
+ added: compatibility with Clockwork Phase 2
+ added: compatibility with Essential Craft 4
+ added: compatibility with Magneticraft
+ added: compatibility with Awesome Craft (thanks to CRX_CZ)
* fixed: invalid event annotation error

## 2.0.2.0
+ added: compatibility with new mods (thanks to Hypsellis)
+ added: compatibility with Defiled Lands
+ added: compatibility with Spectrite
+ added: compatibility with Better With Addons

## 2.0.1.0
+ added: compatibility with NetherEx (thanks to Hypsellis)

## 2.0.0.0
* ported to Minecraft 1.12

## 1.1.3.0
+ added: compatibility with Simple Ore Generation (thanks to Sirick)
* fixed: inaccurate player XZ positioning

## 1.1.2.0
+ added: compatibility with Aether Legacy
+ added: compatibility with RealWorld (thanks to Hypsellis)
+ added: vein detector arrows to indicate found veins
* improved: vertical range increased to 2 (you can track targets from 2 blocks beneath your feet to 2 blocks above your head)
* improved: vein detection works now in both directions (no need for switching)
* improved: disabled needles lightning to prevent distortion of their colors
* fixed: a transparent effect, occasionally occurring on the finder needles

## 1.1.1.0
* *NB: It is NECESSARY to DELETE old configs to make everything work as it should!*
+ added: ping direction switching by right-clicking the finder (thanks to synngularityzero)
+ added: more informative inventory tooltips
* improved: all range parameters are controlled by the server to prevent cheating
* improved: needle positioning accuracy
* changed: some config parameter names to make them more authentic
* fixed: inaccurate needle positioning in third player view and on other player's finders

## 1.1.0.0
* *NB: It is NECESSARY to DELETE old configs to make everything work as it should!*
+ added: compatibility with a bunch of new mods (thanks to Hypsellis)
+ added: compatibility with: Astral Sorcery
+ added: compatibility with: Industrial Craft 2
+ added: compatibility with: RFTools
+ added: compatibility with: Simple Ores
+ added: compatibility with: Tech Reborn
+ added: compatibility with: Terraqueous
+ added: red lights around the finder to inform you about ore vein presence deep under your feet
+ added: network code so you can see what's happening on the finders of another player
* improved: all needles are generated separately for each item stack relatively to its owner position
* improved: needles are grouped by name instead of color
* fixed: some gems being registered as minerals (thanks to Hypsellis)
* fixed: incorrect needle color for many ores
* fixed: loading order to work with mods with custom blocks (thanks to shadowake)
* fixed: ignoring ids starting with a capital letter (thanks to synngularityzero)

## 1.0.7.0
* *NB: It is necessary to delete old configs to make everything work as it should!*
+ added: compatibility with a bunch of new mods (thanks to Hypsellis)
+ added: compatibility with: Ad Inferos
+ added: compatibility with: Embers
+ added: compatibility with: EvilCraft
+ added: compatibility with: Extreme Reactors
+ added: compatibility with: Lots of Things
+ added: compatibility with: Nuclear Craft
* improved: Gem Finder was returned and Chemical Finder was removed 
* fixed: some errors in target configs

## 1.0.6.0
* *NB: It may be necessary to delete old configs to make everything work as it should!*
+ added: compatibility with a bunch of new mods (thanks to Hypsellis)
+ added: compatibility with AbyssalCraft
+ added: compatibility with Actually Additions
+ added: compatibility with Forestry
+ added: compatibility with EbonArts
+ added: compatibility with FuturePack
+ added: compatibility with LightningCraft
+ added: compatibility with MysticalAgriculture
+ added: compatibility with Substratum
* improved: resource blocks were removed from the target lists 
* improved: Gem Finder was replaced with Mineral Finder
* fixed: quartz being absent in the target list of Mineral Finder

## 1.0.5.0
+ added: compatibility with Thermal Foundation
+ added: new config system for custom targets

## 1.0.4.2
* fixed: server crashing with java.lang.NoClassDefFoundError (thanks to P3rf3ct_Zer0)

## 1.0.4.1
* fixed: not all needles were visible due to incorrect z-offset

## 1.0.4.0
+ added: new nice textures for all finders instead of ugly compasses
+ added: compatibility with FunOres mod
* improved: length of the needles was increased
* fixed: duplicate targets in some cases
* fixed: incorrect center position of all needles
* fixed: server crashing on startup (thanks to P3rf3ct_Zer0)

## 1.0.3.0
* improved: targets are grouped by color now (no duplicate needles)
* fixed: target definitions were not written to config for absent mods

## 1.0.2.0
+ added compatibility with UndergroundBiomesConstructs (thanks to Nitrama)

## 1.0.1.0
+ added compatibility with Biomes O' Plenty mod (thanks to Nitrama) 

## 1.0.0.0
* the first public release
